function data = gendata(n)
%   data = gendata(n) 
%     Lets you generate n data points in a 2-D Eucledian space.

figure; axis([0 1 0 1]); hold on; 
title('Click anywhere in the graph for the first data point'); 
for i=1:n
   data(i,:) = ginput(1); 
   plot(data(i,1),data(i,2),'.'); 
   title(['Number of data points chosen: ',num2str(i),'/',num2str(n)]);
end; 
saveQ = menu('SAVE TO FILE?', 'Yes', 'No'); 
if saveQ==1
  filename = uiputfile('mydata.mat','Eneter File name to save data'); 
  feval('save',filename,'data');
end;  

