function [] = demo_hier(fname, maxK)
%  demo_hier(fName, maxK)
%     demonstrates three clustering algorithms 
%     on dataset stored in fName and generates 
%     maxK clusters. 

if nargin<2
   maxK = 4; 
end; 

figure; 
subplot(2,2,1); 
demo_minClust(fname, maxK); 

subplot(2,2,2); 
demo_maxClust(fname, maxK);

subplot(2,2,3); 
demo_meanClust(fname, maxK);

