function [data, dist] = gendata(means, vars, num)
%  data = gengauss(means, vars, num) 
%    generates data normally distributed around K (= number of rows in means matrix) 
%    mean vectors (rows of 'means') and with variance given y a K X 1 vars vector. 
%    'num' is the number of points in each Gaussian. 

[nmeans,dimns] = size(means);
if length(num)==1
   num = ones(1,nmeans)*nums; 
end; 

for i=1:nmeans
   data(1+(i-1)*num:i*num,1:dimns) = ones(num,1)*means(i,:)+...
			vars(i)*randn(num,dimns);
end;
saveQ = menu('SAVE TO FILE?', 'Yes', 'No');
if saveQ==1
  filename = uiputfile('mydata.mat','Eneter File name to save data');
  feval('save',filename,'data');
end;
 
